Package com.arms.api.product_service.pdservice.service

## Interface PdService

- All Superinterfaces:
    `TreeService`
  All Known Implementing Classes:
    `PdServiceImpl`

      public interface PdService
      extends TreeService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PdServiceEntity` | `addPdServiceAndVersion​(PdServiceEntity pdServiceEntity)` |
    `PdServiceEntity` | `addPdServiceVersion​(PdServiceEntity pdServiceEntity)` |
    `PdServiceD3Chart` | `getD3ChartData()` |
    `PdServiceEntity` | `getNodeWithVersionOrderByCidDesc​(PdServiceEntity pdServiceEntity)` |
    `java.util.List<PdServiceAndVersionListDTO>` | `getPdServiceEntityAndVersionList​(PdServiceEntity pdServiceEntity)` |
    `int` | `removeAll​(java.lang.Long pdServiceId)` |
    `PdServiceEntity` | `removeVersionNode​(java.lang.Long pdServiceID, java.lang.Long versionID)` |
    `PdServiceEntity` | `updatePdServiceVersion​(java.lang.Long pdservice_link, PdServiceVersionEntity pdServiceVersionEntity)` |
    `java.util.Set<FileRepositoryEntity>` | `uploadFileForPdServiceNode​(java.lang.Long pdservice_link, org.springframework.web.multipart.MultipartHttpServletRequest multiRequest)` |
    `java.util.List<PdServiceVersionVO>` | `versionListByCId​(PdServiceEntity pdServiceEntity)` |
    `java.util.List<PdServiceVersionVO>` | `versionListWithDateByCId​(PdServiceEntity pdServiceEntity)` |

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Method Detail

    - #### getNodeWithVersionOrderByCidDesc

          PdServiceEntity getNodeWithVersionOrderByCidDesc​(PdServiceEntity pdServiceEntity)
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### versionListByCId

          java.util.List<PdServiceVersionVO> versionListByCId​(PdServiceEntity pdServiceEntity)
                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### versionListWithDateByCId

          java.util.List<PdServiceVersionVO> versionListWithDateByCId​(PdServiceEntity pdServiceEntity)
                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addPdServiceAndVersion

          PdServiceEntity addPdServiceAndVersion​(PdServiceEntity pdServiceEntity)
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updatePdServiceVersion

          PdServiceEntity updatePdServiceVersion​(java.lang.Long pdservice_link,
                                                 PdServiceVersionEntity pdServiceVersionEntity)
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### uploadFileForPdServiceNode

          java.util.Set<FileRepositoryEntity> uploadFileForPdServiceNode​(java.lang.Long pdservice_link,
                                                                         org.springframework.web.multipart.MultipartHttpServletRequest multiRequest)
                                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addPdServiceVersion

          PdServiceEntity addPdServiceVersion​(PdServiceEntity pdServiceEntity)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeVersionNode

          PdServiceEntity removeVersionNode​(java.lang.Long pdServiceID,
                                            java.lang.Long versionID)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getD3ChartData

          PdServiceD3Chart getD3ChartData()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeAll

          int removeAll​(java.lang.Long pdServiceId)
                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPdServiceEntityAndVersionList

          java.util.List<PdServiceAndVersionListDTO> getPdServiceEntityAndVersionList​(PdServiceEntity pdServiceEntity)
                                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`